.navigation {
    /* critical sizing and position styles */
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 0;

    /* non-critical appearance styles */
    list-style: none;
    background: #111;
}

/* Navigation Menu - List items */
.nav-item {
    /* non-critical appearance styles */
    width: 250px;
    height: 70px;
    border-top: 1px solid #111;
    border-bottom: 1px solid #000;
}
.menu_img {
    width: 1.2em;
    margin-right: 10px;
}
.nav-item a {
    /* non-critical appearance styles */
    display: block;
    padding: 1em;
    background: linear-gradient(180deg, rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 150%);
    color: white;
    font-size: 1.2em;
    text-decoration: none;
    transition: color 0.2s;
}

.nav-item a:hover {
    color: #c74438;
    background: linear-gradient(135deg, rgba(0,0,0,0) 0%,rgba(75,20,20,0.65) 100%);
}

/* Site Wrapper - Everything that isn't navigation */
.site-wrap {
    /* Critical position and size styles */
    min-height: 100%;
    min-width: 100%;
    background-color: white; /* Needs a background or else the nav will show through */
    position: relative;
    top: 0;
    bottom: 100%;
    left: 0;
    z-index: 1;

    /* non-critical apperance styles */
    padding: 4em;
    /* background-image: linear-gradient(135deg, rgb(255,255, 255) 0%,rgb(220,220,220) 35%,rgb(0,0,0) 100%); */
    background-size: 200%;
}

/* Nav Trigger */
.nav-trigger {
    /* critical styles - hide the checkbox input */
    position: absolute;
    clip: rect(0, 0, 0, 0);
}

label[for="nav-trigger"] {
    /* critical positioning styles */
    position: fixed;
    left: 15px; top: 15px;
    z-index: 2;

    /* non-critical apperance styles */
    height: 30px;
    width: 30px;
    cursor: pointer;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' version='1.1' x='0px' y='0px' width='30px' height='30px' viewBox='0 0 30 30' enable-background='new 0 0 30 30' xml:space='preserve'><rect width='30' height='6'/><rect y='24' width='30' height='6'/><rect y='12' width='30' height='6'/></svg>");
    background-size: contain;
}

/* Make the Magic Happen */
.nav-trigger + label, .site-wrap {
    transition: left 0.2s;
}

.nav-trigger:checked + label {
    left: 215px;
}

.nav-trigger:checked ~ .site-wrap {
    left: 200px;
    box-shadow: 0 0 5px 5px rgba(0,0,0,0.5);
}

body {
    /* Without this, the body has excess horizontal scroll when the menu is open */
    overflow-x: hidden;
}

/* Additional non-critical styles */

h1, h3, p {
    max-width: 600px;
}

code {
    padding: 2px;
    background: #ddd;
}

/* Micro reset */
*,*:before,*:after{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;margin:0;padding:0;}
html, body { height: 100%; width: 100%; font-family: Helvetica, Arial, sans-serif; }
